# cwl_utils.expression_refactor

CWL Expression refactoring tool for CWL.

## Attributes

`defaultStreamHandler` |
`save_type` |

## Classes

`saveCWL` | Shortcut type for CWL v1.x parse.save().

## Functions

`arg_parser`() | Build the argument parser.
`parse_args`(args) | Parse the command line options.
`main`() | Console entry point.
`run`(args) | Collect the arguments and run.
`refactor`(args) | Primary processing loop.

## Module Contents

cwl_utils.expression_refactor.defaultStreamHandler

cwl_utils.expression_refactor.save_type

class cwl_utils.expression_refactor.saveCWL

  Bases: `Protocol`

  digraph inheritance5a1d0cf76c { bgcolor=transparent; rankdir=LR; size="8.0, 12.0"; "Generic" [fillcolor=white,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.25,shape=box,style="setlinewidth(0.5),filled"]; "Protocol" [fillcolor=white,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.25,shape=box,style="setlinewidth(0.5),filled",tooltip="Base class for protocol classes."]; "Generic" -> "Protocol" [arrowsize=0.5,style="setlinewidth(0.5)"]; "saveCWL" [URL="#cwl_utils.expression_refactor.saveCWL",fillcolor=white,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.25,shape=box,style="setlinewidth(0.5),filled",target="_top",tooltip="Shortcut type for CWL v1.x parse.save()."]; "Protocol" -> "saveCWL" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

  Shortcut type for CWL v1.x parse.save().

  __call__(val, top=True, base_url='', relative_uris=True)

    Must use this instead of a Callable due to the keyword args.

    Parameters:

      - val (Any)

      - top (bool)

      - base_url (str)

      - relative_uris (bool)

    Return type:

      save_type

cwl_utils.expression_refactor.arg_parser()

  Build the argument parser.

  Return type:

    argparse.ArgumentParser

cwl_utils.expression_refactor.parse_args(args)

  Parse the command line options.

  Parameters:

    args (list[str])

  Return type:

    argparse.Namespace

cwl_utils.expression_refactor.main()

  Console entry point.

  Return type:

    None

cwl_utils.expression_refactor.run(args)

  Collect the arguments and run.

  Parameters:

    args (list[str])

  Return type:

    int

cwl_utils.expression_refactor.refactor(args)

  Primary processing loop.

  Parameters:

    args (argparse.Namespace)

  Return type:

    int